Skip to main content
PATCH
Update a trigger

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

trigger_type
string
required

Trigger type: gateway, stream, subject, obj or email

topic
string
required

Topic of the trigger, without the prefix

Body

application/json
name
string

Trigger name

description
string

Description

subject
string

Trigger subject

trigger_type
string

Trigger type

gateway_mapping
object
source
object
target
object

Response

Success

body
object

Complete trigger data containing all configurations and properties.

metadata
object
status_code
integer

HTTP status code indicating the result of the operation.

Example:

200